/*{ Template_FreeRTOS::.h ************************************************
 
 Empty template for new header files.
 Copy and adapt to your needs.
 
}*/
//{ Includes *************************************************************

// Basic set of helper functions
#include "stm32_io.h"
#include <stdlib.h>

#define USE_STDPERIPH_DRIVER
#include "stm32f10x.h"
#include "stm32f10x_rcc.h"
#include "stm32f10x_conf.h"
#include "core_cm3.h"        // StdPeripheralsLibrary/CMSIS/CM3/CoreSupport/
#include "bits.h"
#include <string.h>
#include "FreeRTOS.h"
#include "task.h"

//? #include "stm32f10x_systick.h"
#include "lcd-320x240.h"
//#include "touchscreen.h"

//} Includes
//{ Defines/ TypeDefs ****************************************************

#define PB_LED1   GPIOC, 6    // status led 1 on Olimex proto board P107

//} Defines
//{ Structures/ Enums ****************************************************


//} Structures/ Enums
//{ Structures/ Enums ****************************************************

//} Structures/ Enums
//{ Global Variables *****************************************************



//} Global Variables
//{ Function prototypes **************************************************

// basic hardware intialization
void lcd_initPorts();

// main entry: initializes hardware + spawns all threads
// returns immediately
void lcd_start();

// main task controlling LCD-panel
void task_LCD(void *pvParameters);

//} Function prototypes
