#include <stddef.h>
#include <stdio.h>
#define HEAPSIZE	0x400
signed char *sbrk( size_t size );
union HEAP_TYPE
{
	signed long dummy;
	signed char heap[HEAPSIZE];
};
static union HEAP_TYPE	heap_area;

/* End address allocated by sbrk */
static signed char		*brk = ( signed char * ) &heap_area;
signed char *sbrk( size_t size )
{
	signed char *p;
	if( brk + size > heap_area.heap + HEAPSIZE )
	{
		p = ( signed char * ) - 1;
	}
	else
	{
		p = brk;
		brk += size;
	}

	return p;
}

signed char *_sbrk( size_t size )                          { return sbrk( size ); }
        void _exit(int Status)                             { while (1); }
         int _kill (int pid, int sig)                      { return 0; }
       pid_t _getpid(void)                                 { return 0; }
     ssize_t _write(int fd, const void *buf, size_t count) { return count; }
         int _close(int fd)                                { return 0; }
         int _fstat(int fd, struct stat *buf)              { return 0; }
         int _isatty(int fd)                               { return 0; }
       off_t _lseek(int fd, off_t offset, int whence)      { return 0; }
     ssize_t _read(int fd, void *buf, size_t count)        { return 0; }
