#!/bin/bash
#
# Create links to external tools/ sources provided by ToolChain_STM32
# into current directory
#
# Usage:
# cd to yur source-code directory
# isssue createLinks.sh (e.g.: ~/Source/ToolChain_STM32/ToolChain/scripts/createLinks.sh)
#

Source="$HOME/Source"

echo "$0: regenerating links.."
rm 2>/dev/null _;                     ln -sv $Source/ToolChain_STM32/ToolChain/scripts  _
rm 2>/dev/null additionals/common;    ln -sv $Source/ToolChain_STM32/CommonLibraries/   additionals/common
rm 2>/dev/null additionals/examples;  ln -sv $Source/ToolChain_STM32/Examples/          additionals/examples


# create links to third party modules
source ./_/createLinks.sh
